import React from 'react';
import { ParseResult } from 'papaparse';
import { CustomConfig } from './model';
interface Props<T> {
    children: any;
    onDrop?: (data: Array<ParseResult<T>>, file?: any) => void;
    onFileLoad?: (data: Array<ParseResult<T>>, file?: any) => void;
    onError?: (err: any, file: any, inputElem: any, reason: any) => void;
    config?: CustomConfig<T>;
    style?: any;
    noClick?: boolean;
    noDrag?: boolean;
    progressBarColor?: string;
    addRemoveButton?: boolean;
    onRemoveFile?: (data: null) => void;
    noProgressBar?: boolean;
    removeButtonColor?: string;
    isReset?: boolean;
    accept?: string;
}
interface State {
    dropAreaCustom: any;
    progressBar: number;
    displayProgressBarStatus: string;
    file: any;
    timeout: any;
    files: any;
    removeIconColor: string;
    isCanceled: boolean;
}
export default class CSVReader<T = any> extends React.Component<Props<T>, State> {
    static defaultProps: Partial<Props<unknown>>;
    inputFileRef: any;
    dropAreaRef: any;
    fileSizeInfoRef: any;
    fileNameInfoRef: any;
    REMOVE_ICON_COLOR: any;
    REMOVE_ICON_COLOR_LIGHT: string;
    state: State;
    componentDidUpdate: (prevProps: any) => void;
    componentDidMount: () => void;
    componentWillUnmount: () => void;
    preventDefaults: (e: any) => void;
    highlight: () => void;
    unhighlight: () => void;
    visibleProgressBar: () => void;
    handleDrop: (e: any) => void;
    handleFiles: () => void;
    uploadFile: (file: any) => void;
    displayFileInfo: (file: any) => void;
    disableProgressBar: () => void;
    childrenIsFunction: () => boolean;
    fileChange: (e: any) => void;
    open: (e: any) => void;
    renderChildren: () => any;
    handleRemoveFile: (e: any) => void;
    removeFile: () => void;
    changeRemoveIconColor: (color: string) => void;
    renderDropFileRemoveButton: () => JSX.Element | null;
    render(): JSX.Element;
}
export {};
